<?php

/**
 * ContactForm class.
 * ContactForm is the data structure for keeping
 * contact form data. It is used by the 'contact' action of 'SiteController'.
 */
class IsRescued extends CFormModel {
	public $answer;

	public function rules() {
		return array(
			array('answer', 'required'),
		);
	}

	public function attributeLabels() {
		return array(
			'answer'=>'What is the name of the rescue?',
		);
	}

	public function getForm() {
		return new CForm(array(
			'showErrorSummary'=>true,
			'attributes'=>array('id'=>'survey'),
			'elements'=>array(
				'Great to know you have given a home to an animal that needed it',
				'answer'=>array(),
			),
			'buttons'=>array(
				'submit'=>array(
					'type'=>'submit',
					'label'=>'Next'
				)
			)
		), $this);
	}
}
